<?php
@session_start();
/**
 * ePayBank
 *
 * ePayBank getway class
 *
 * @copyright	(c) 2012 ePayBank.ir
 * @author		ePayBank developement team info@ePayBank.ir
 * @license		http://www.opensource.org/licenses/gpl-3.0.html
 * @version		1.0
 */
Class ePayBank {

	/**
	 * ePayBank API Key
	 *
	 * @var integer
	 */
	public $api;

	/**
	 * ePayBank price payment
	 *
	 * @var integer
	 */
	public $Price;

	/**
	 * Return URL in from ePayBank
	 *
	 * @var string
	 */
	public $ReturnPath;

    /**
	 * Return trans_id
	 *
	 * @var string
	 */
	public $RefNumber;

	/**
	 * Constructors
	 */
	public function __construct() {

	}

public function send($api,$amount,$redirect){
require_once "./lib/nusoap.php";
$client=new nusoap_client("http://epaybank.ir/secure_gateway/ariacoders.php");
$error=$client->getError();
if($error){
echo "<h2>Constructor Error</h2><pre>".$error."</pre>";
}
$orderid=date('ymdhis');
$_SESSION["price"]=$amount;
$result=$client->call("requestpayment",array($api,$redirect,$amount,"parsian",$orderid));
$client->soap_defencoding = 'UTF-8';
if($client->fault){
	//echo "<h2>Fault</h2><pre>";
	return $result;
	//echo "</pre>";
}
else
{
$error=$client->getError();
	if($error)
	{
		return $error;
	}
	else
	{
		
		return $result ;
		
	}
}
}
    
    public function get($api,$rs,$price){
        require_once "./lib/nusoap.php";
$value=trim($price);
if(preg_match('/^[0-9]*$/',$value))
{
$client=new nusoap_client("http://epaybank.ir/secure_gateway/ariacoders.php");
$client->soap_defencoding = 'UTF-8';

$error=$client->getError();
if($error){
echo $error;
}
$result=$client->call("verifypeyment",array($merchentid,$value,$rs,"parsian"));
$client->soap_defencoding = 'UTF-8';

if($client->fault){
	//echo "<h2>Fault</h2><pre>";
	return $result;
	//echo "</pre>";
}
else
{
$error=$client->getError();
	if($error){
		return $error;
	}
	else
	{
return $result;
		
		
	}
}
}//if first
        
    }

	/**
	 * Request for payment transactions
	 *
	 * @param  Not param
	 * @return Status request
	 */
	public function Request() {
       
        $result = $this->send($this->api,$this->Price,$this->ReturnPath);

		if(filter_var($result, FILTER_VALIDATE_URL)) {
			echo "<meta http-equiv='Refresh' content='0;URL=$result'>";
		} else {
			return $result;
		}

	}

	/**
	 * Verify Payment
	 *
	 * @param  Not param
	 * @return Status verify
	 */
	public function Verify() {
       
        $price = $_SESSION["price"];
        $rs = $_GET['rs'];
        $result = $this->get($this->api,$rs,$price);
        $this->RefNumber = $rs;
        return $result;
	}
}
